#========================================================================================
# package      DE_EPAGES::Installer::t::GitTag
# base         DE_EPAGES::Core::API::Test
# state        public
#----------------------------------------------------------------------------------------
# description  Automated tests for DE_EPAGES::Installer::API::GitTag
#========================================================================================
package DE_EPAGES::Installer::t::GitTag;
use base DE_EPAGES::Core::API::Test;

use DE_EPAGES::Installer::API::GitTag;
use Test::More tests => 2;

use strict;


sub test {
    my $self = shift;
    
    $self->test_DefaultConstructor();
    
    done_testing();
}


sub test_DefaultConstructor() {
    
    my $TagHandler = DE_EPAGES::Installer::API::GitTag->new();

    cmp_ok($TagHandler->{'CartridgeRepo'}, 'eq', '/srv/epages/eproot/Cartridges',
        'Default constructor leads to correct Cartridge path.');
    cmp_ok($TagHandler->{'Company'}, 'eq', 'DE_EPAGES',
        'Default constructor leads to correct company name.');        
}


__PACKAGE__->runScript();


1;